---
agentTools:
  projectIndex: https://fishbaseapi.readme.io/llms.txt
---

# morphdat

[block:callout]
{
  "type": "info",
  "title": "Additional Query Parameters",
  "body": "In addition to the query parameters listed (limit, offset, fields) you should be able to query on any of the keys in the response body."
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://fishbase.ropensci.org"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/morphdat": {
      "get": {
        "summary": "morphdat",
        "description": "",
        "operationId": "morphdat",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "number of records to return",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "record number to start at",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "name": "fields",
            "in": "query",
            "description": "Comma-separated string of fields to return",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Accept",
            "in": "header",
            "description": "Version accept header",
            "schema": {
              "type": "string",
              "default": "application/vnd.ropensci.v8+json"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Accept",
        "value": "application/vnd.ropensci.v6+json"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "62f416befcc86d557464d0d8:5a0e32d9c01242001cac3c1a"
}
```